curl --request POST \
--url https://app.goosybear.ai/api/v1/tools/posts.create_pieces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"pieces": [
{
"title": "<string>",
"schedule_slot_id": "<string>",
"platforms": [
"<string>"
],
"master_content": "<string>",
"source_ref": "<string>",
"scheduled_for": "<string>"
}
],
"idempotency_key": "<string>",
"workspace": "<string>"
}
'import requests
url = "https://app.goosybear.ai/api/v1/tools/posts.create_pieces"
payload = {
"pieces": [
{
"title": "<string>",
"schedule_slot_id": "<string>",
"platforms": ["<string>"],
"master_content": "<string>",
"source_ref": "<string>",
"scheduled_for": "<string>"
}
],
"idempotency_key": "<string>",
"workspace": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pieces: [
{
title: '<string>',
schedule_slot_id: '<string>',
platforms: ['<string>'],
master_content: '<string>',
source_ref: '<string>',
scheduled_for: '<string>'
}
],
idempotency_key: '<string>',
workspace: '<string>'
})
};
fetch('https://app.goosybear.ai/api/v1/tools/posts.create_pieces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.goosybear.ai/api/v1/tools/posts.create_pieces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pieces' => [
[
'title' => '<string>',
'schedule_slot_id' => '<string>',
'platforms' => [
'<string>'
],
'master_content' => '<string>',
'source_ref' => '<string>',
'scheduled_for' => '<string>'
]
],
'idempotency_key' => '<string>',
'workspace' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.goosybear.ai/api/v1/tools/posts.create_pieces"
payload := strings.NewReader("{\n \"pieces\": [\n {\n \"title\": \"<string>\",\n \"schedule_slot_id\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"master_content\": \"<string>\",\n \"source_ref\": \"<string>\",\n \"scheduled_for\": \"<string>\"\n }\n ],\n \"idempotency_key\": \"<string>\",\n \"workspace\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.goosybear.ai/api/v1/tools/posts.create_pieces")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pieces\": [\n {\n \"title\": \"<string>\",\n \"schedule_slot_id\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"master_content\": \"<string>\",\n \"source_ref\": \"<string>\",\n \"scheduled_for\": \"<string>\"\n }\n ],\n \"idempotency_key\": \"<string>\",\n \"workspace\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.goosybear.ai/api/v1/tools/posts.create_pieces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pieces\": [\n {\n \"title\": \"<string>\",\n \"schedule_slot_id\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"master_content\": \"<string>\",\n \"source_ref\": \"<string>\",\n \"scheduled_for\": \"<string>\"\n }\n ],\n \"idempotency_key\": \"<string>\",\n \"workspace\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"created": [
{
"index": 1,
"piece_id": "<string>",
"run_id": "<string>"
}
],
"refused": [
{
"index": 1,
"code": "<string>",
"message": "<string>"
}
],
"replayed": true,
"workspace": "<string>",
"working_in": {
"label": "<string>",
"note": "<string>",
"workspace": "<string>",
"source": "call-override"
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}Call posts.create_pieces
Create every post a brief calls for, in one call — ‘make this week’s posts from Tuesday’s episode’, ‘create three posts for the launch’. Each piece is created with whatever the request already settles — what it is built from, where it goes, its own copy, its time — and gets its board, so a complete request needs no further calls beyond each destination’s version. Read posts.plan_context first so slot ids, library ids and destination names are real. It creates drafts only: nothing is published or sent for approval. Not for reading where one piece stands afterwards — that is posts.read_piece.
Every result names the workspace it ran in. Say which workspace the answer is about. When the account has more than one workspace and none is selected, this tool refuses with workspace_ambiguous and lists the choices — offer them, never pick one.
curl --request POST \
--url https://app.goosybear.ai/api/v1/tools/posts.create_pieces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"pieces": [
{
"title": "<string>",
"schedule_slot_id": "<string>",
"platforms": [
"<string>"
],
"master_content": "<string>",
"source_ref": "<string>",
"scheduled_for": "<string>"
}
],
"idempotency_key": "<string>",
"workspace": "<string>"
}
'import requests
url = "https://app.goosybear.ai/api/v1/tools/posts.create_pieces"
payload = {
"pieces": [
{
"title": "<string>",
"schedule_slot_id": "<string>",
"platforms": ["<string>"],
"master_content": "<string>",
"source_ref": "<string>",
"scheduled_for": "<string>"
}
],
"idempotency_key": "<string>",
"workspace": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pieces: [
{
title: '<string>',
schedule_slot_id: '<string>',
platforms: ['<string>'],
master_content: '<string>',
source_ref: '<string>',
scheduled_for: '<string>'
}
],
idempotency_key: '<string>',
workspace: '<string>'
})
};
fetch('https://app.goosybear.ai/api/v1/tools/posts.create_pieces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.goosybear.ai/api/v1/tools/posts.create_pieces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pieces' => [
[
'title' => '<string>',
'schedule_slot_id' => '<string>',
'platforms' => [
'<string>'
],
'master_content' => '<string>',
'source_ref' => '<string>',
'scheduled_for' => '<string>'
]
],
'idempotency_key' => '<string>',
'workspace' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.goosybear.ai/api/v1/tools/posts.create_pieces"
payload := strings.NewReader("{\n \"pieces\": [\n {\n \"title\": \"<string>\",\n \"schedule_slot_id\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"master_content\": \"<string>\",\n \"source_ref\": \"<string>\",\n \"scheduled_for\": \"<string>\"\n }\n ],\n \"idempotency_key\": \"<string>\",\n \"workspace\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.goosybear.ai/api/v1/tools/posts.create_pieces")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pieces\": [\n {\n \"title\": \"<string>\",\n \"schedule_slot_id\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"master_content\": \"<string>\",\n \"source_ref\": \"<string>\",\n \"scheduled_for\": \"<string>\"\n }\n ],\n \"idempotency_key\": \"<string>\",\n \"workspace\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.goosybear.ai/api/v1/tools/posts.create_pieces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pieces\": [\n {\n \"title\": \"<string>\",\n \"schedule_slot_id\": \"<string>\",\n \"platforms\": [\n \"<string>\"\n ],\n \"master_content\": \"<string>\",\n \"source_ref\": \"<string>\",\n \"scheduled_for\": \"<string>\"\n }\n ],\n \"idempotency_key\": \"<string>\",\n \"workspace\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"created": [
{
"index": 1,
"piece_id": "<string>",
"run_id": "<string>"
}
],
"refused": [
{
"index": 1,
"code": "<string>",
"message": "<string>"
}
],
"replayed": true,
"workspace": "<string>",
"working_in": {
"label": "<string>",
"note": "<string>",
"workspace": "<string>",
"source": "call-override"
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"retry_after_seconds": 123
},
"retry_after_seconds": 123
}Authorizations
An API key minted at Settings › API & MCP. Send it as Authorization: Bearer <key>. A key carries its holder's own permissions, resolved on every call — revoking a membership closes the key's reach immediately. Keep it in an environment variable (GOOSY_API_KEY), never in a committed file.
Headers
Your key for this write: send the same key when you retry and the first result comes back instead of a second action. Keys are honoured for at least 24 hours. 1–200 visible ASCII characters. Replaces the idempotency_key body field, which still works until 2026-12-31; this action needs a key on one of the two, and the header is the one to send.
200Body
Response
The call was admitted and dispatched. ok says whether the tool succeeded — a refusal the tool itself produced is still a 200, exactly as it is a successful JSON-RPC result over MCP.
- Option 1
- Option 2
The tool ran and answered.